#ifndef OUTPUT_H
#define OUTPUT_H

#include "scenario.h"

#include <vector>
#include <string>

class OutPut
{
    std::vector<std::vector<float> > _rgb;
    int _frame;
    pthread_t _thread;
    pthread_attr_t _attr;
    pthread_mutex_t _mutex;
    CpuData * _cpuData;
    Scenario * _scenario;
    static void * thread_save(void * arg);

    bool _whait_for_mutex;

public:
    OutPut();
    ~OutPut();
    bool init(CpuData * cpuData, Scenario * scenario);
    std::vector<std::vector<float> > & getColors();
    int getFrame();
    void save();
};



#endif // OUTPUT_H
