#ifndef SIMULATION_H
#define SIMULATION_H

#include "gpudata.h"
#include "cpudata.h"
#include "scenario.h"
#include "device.h"
#include "output.h"

#include <string>

class Simulation
{
    Scenario _scenario;
    CpuData _cpuData;
    OutPut _output;
    std::vector<Device> _devices;

    bool _run(std::string scenario);
    bool _step();
public:
    Simulation(std::string pathToApplication);
    bool command(std::string command);

};

#endif // SIMULATION_H
