#include <iostream>

#include "simulation.h"


int main(int argc, char * argv[])
{
    std::cout << "gas-dynamic simulator online" << std::endl;

    std::string command=argv[0];
    std::string noComma;

    command=command.substr(0,command.find_last_of('/')+1);
    Simulation simulaton(command);

    if(argc!=2)
    {
        command="i";
    }
    else
    {
        command=argv[1];

        for(int i=0;i<command.size();++i)
            if(command[i]!='\'') noComma+=command[i];

        simulaton.command(noComma);

        return 0;
    }

    for(int i=0;i<command.size();++i)
        if(command[i]!='\'') noComma+=command[i];

    while(command!="exit"&&command!="quit"&&command!="q"&&!simulaton.command(noComma))
    {
        std::cin >> command;
        noComma.clear();
        for(int i=0;i<command.size();++i)
            if(command[i]!='\'') noComma+=command[i];
    }

    return 0;
}

