//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "Unit2.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------

//   Important: Methods and properties of objects in VCL can only be
//   used in a method called using Synchronize, for example:
//
//      Synchronize(UpdateCaption);
//
//   where UpdateCaption could look like:
//
//      void __fastcall T1::UpdateCaption()
//      {
//        Form1->Caption = "Updated in a thread";
//      }
//---------------------------------------------------------------------------

__fastcall T1::T1(bool CreateSuspended,int a,int b,int e)
        : TThread(CreateSuspended)
{
st=a;
bg=b;
en=e;
}
//---------------------------------------------------------------------------

extern int **TP;
extern float **Ro, **P, **Vx, **Vy;
extern float **Ron, **Pn, **Vxn, **Vyn;

extern float TF[256], TB[256], MD[256];
extern float TT[256];

extern int NumOfThreads;
extern float FPS;
extern int MinStep;
extern int MaxStep;
extern int MarkVis;
extern int MetalDestr;
extern int xsize, ysize;
extern int TipeDraw;
extern int ExEn;

extern float TimeMult;
extern float ViscMult;
extern float EnergMult;
extern float TempCond;
extern float G;
extern float AirTemp;
extern float FullTime;
extern float AllVx, AllVy;
extern float tau;
extern float Vmax;
extern float ctime;
extern int NumOfExec;

void __fastcall T1::Execute()
{
  if(st==1) threadX(bg,en); else threadY(bg,en);
  NumOfExec--;
}
//---------------------------------------------------------------------------
 